* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family:'Poppins', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    background: #e8f5ff;
    scroll-behavior: smooth;
}

.navbar {
    width: 100%;
}

.navbar2 {
    top: 0;
    left: 0;
    max-width: 1300px;
    padding: 60px 20px 30px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    margin: auto;
    box-sizing: border-box;
    justify-content: space-between;
}

.navbar .logo {
    font-size: 2em;
    color: #012456;
    pointer-events: none;
    padding-right: 86px;
    display: block;
}

#menu {
    position: absolute;
    top: 50px;
    right: 50px;
    width: 50px;
    display: none;
}

.navbar a {
    color: #012456;
    padding: 6px 25px;
    border-radius: 20px;
    margin: 0 10px;
    font-weight: 500;
    margin-left: 80px;
    font-size: 1.1em;
    transition: 0.5s;
    z-index: 100;
}

.nav-links a:hover {
    background: #1390cf;
    color: #fff;
}

header {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-end;
    background-image: url('data/bg.webp');
    background-size: cover;
    background-position: center;
    width: auto;
    height: 768px;
    overflow: hidden;
}

.hero {
    color: #e8f5ff;
    display: flex;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-position: center;
    width: auto;
    height: 721px;
    flex-wrap: wrap;
}

.hero-text {
    position: relative;
    font-size: 4em;
    font-weight: 800;
    color: #012456;
    line-height: 1.05;
    margin: 0;
    top: 135px;
    z-index: 2;
}

.hero-text p {
    font-size: 1.5rem;
    font-weight: 400;
    padding-top: 6px;
    line-height: 1.25;
    margin: 0;
}

@media (min-width: 1270px) {
    @keyframes float {
        0% {
            transform: translatey(-93px);
        }
        50% {
            transform: translatey(-83px);
        }
        100% {
            transform: translatey(-93px);
        }
    }
    
    .hero img {
        overflow: hidden;
        animation: float 6s ease-in-out infinite;
    }
}

.hero img {
    position: absolute;
    z-index: 0;
    transform: translateY(-89px);
    width: 27%;
    mix-blend-mode: overlay;
    z-index: 1;
}

.overlay {
    transform: translateY(-10px);
    position: static;
    width: 100vw;
    height: 300px;
    background-image: linear-gradient(rgba(0, 0, 0, 0), #012456df 95%);
    z-index: 1;
}

.nav-links.mobile-menu {
    margin-left: 0;
}

@media (max-width: 1270px) {
    .hero img {
        position: absolute;
        z-index: 0;
        transform: translateY(-55px);
        width: 32%;
        mix-blend-mode: overlay;
    }
    header {
        height: 911px;
    }

    #menu {
        display: block;
        z-index: 300;
    }


    
    .logo {
        position: relative;
        width: 150px;
        transform: translateY(-14px);
        left:10px;
    }

    .nav-links {
        position: absolute;
        width: 100%;
        left: 0;
        top: 0;
        height: 100vh;
        background-color: #3da8deb4;
        backdrop-filter: blur(6px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-left: -100%;
        transition: all 1s ease;
        z-index: 200;
    }

    header .nav-links a {
        margin: 25px;
        font-size: 1.4em;
    }

    .navbar2 a {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0;
        color: #ffffff;
    }

    .hero-text {
        font-size: 3.1em;
        left: 0;
        top: -50px;
        text-align: center;
        bottom: -500px;
        transform: translateY(195px);
    }
    .hero {
        justify-content: center;
    }
    .hero-text p {
        font-size: 1.45rem;
        padding-top: 10px;
    }

    .overlay {
    transform: translateY(115px);
    position: static;
    width: 100vw;
    height: 210px;
    background-image: linear-gradient(rgba(0, 0, 0, 0), #012456d6 90%);
    z-index: 1;
    }
}

@media (max-width: 806px) {
    .hero img {
        position: absolute;
        z-index: 0;
        transform: translateY(-165px);
        width: 35%;
        mix-blend-mode: overlay;
    }
    header {
        height: 600px;
    }
    .hero-text {
        font-size: 2.8em;
        left: 0;
        top: 305px;
        text-align: center;
        transform: translateY(-260px);
    }
    .hero-text p {
        font-size: 1.2rem;
    }
    .overlay {
        transform: translateY(0);
        position: static;
        width: 100vw;
        height: 210px;
        background-image: linear-gradient(rgba(0, 0, 0, 0), #012456d6 90%);
        z-index: 1;
        }
}
                                                                                                 /*        hero-2           */

#scales {
    position: absolute;
    left: 0;
    transform: translateY(-436px) translateX(-300px);
    width: 85%;
    z-index: 100;
}

.hero-2 {
    color: #e8f5ff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 160px 0 100px;
    font-size: 1.45rem;
    line-height: 1.8;
    gap: 160px
}

.marta p {
    padding-top: 7px;
    font-size: 1.05rem;
    font-weight: 300;
    line-height: 1.7em;
}

.marta h2 {
    font-weight: 800;
    margin-top: 0;
}

.marta {
    text-align: center;
}

.marta img {
    transform: translateX(-14px);
    margin-top: 20px;
    margin-left: 30px;
}

.marek {
    text-align: center;
}

.marek img {
    transform: translateX(-14px);
    margin-top: 20px;
    margin-left: 30px;
}

.more-about-btn {
    margin-top: 20px;
    width: 195px;
    height: 45px;
    position: relative;
    background-color: #1390cf;
    color: #fff;
    border-radius: 12px;
    font-size: 1.15rem;
    font-weight: 300;
    border: 0;
  }

@media (max-width: 1020px) {
    #splashes {
        width: 70%;
        transform: translateY(120px) translateX(-250px);
    }

    #scales {
        position: absolute;
        left: 0;
        transform: translateY(-340px) translateX(-730px);
        width: 1500px;
        z-index: 10;
    }

    .hero-2 img {
        width: 460px;
        border-radius: 30px;
    }
}

@media (max-width: 639px) {
    .hero-2 {
        padding-top: 60px;
    }

#scales {
    position: absolute;
    left: 0;
    transform: translateY(-140px) translateX(-730px);
    width: 1500px;
    z-index: 10;
    }
}
@media (max-width: 600px) {
    .hero img {
        position: absolute;
        z-index: 0;
        transform: translateY(-300px);
        width: 45%;
        mix-blend-mode: overlay;
    }
    #splashes {
        width: 100%;
        transform: translateY(100px) translateX(-180px);
    }
    header {
        height: 350px;
    }
    .marta {
        padding-top: 60px;
    }
    .hero-text {
        font-size: 2.4em;
        left: 0;
        top: 166px;
        text-align: center;
    }
    .hero-2-text h2 {
        font-size: 1.3em;
        font-weight: 800;
        margin-top: 0;
    }
    .overlay {
        transform: translateY(-370px);
        position: static;
        width: 100vw;
        height: 200px;
        background-image: linear-gradient(rgba(0, 0, 0, 0), #012456 93%);
        z-index: 1;
        }
}

  h3 {
    font-size: 1.8em;
    line-height: 1.4;
}

.social-media {
    display: flex;
    margin: auto;
    justify-content: center;
    align-items: center;
    width: 80%;
    gap: 80px;
    padding-top: 60px;
    padding-bottom: 160px;
    flex-wrap: wrap;
}

.social-media img {
    width: 50px;
}

.footer1 {
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
}

.footer1 {
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.footer1 h2 {
    margin: 0;
    text-align: center;
    color: #012456;
    font-size: 2.6em;
    padding-top: 70px;
}

  .partners {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    height: 200px;
    padding: 0 200px;
  }

  .partners img {
    width: 120px;
  }

  #wks {
    width: 250px;
  }

#kopalnia {
    width: 180px;
}

#splywajnatrening {
    width: 125px;
    transform: translateX(-38px);
}

@media (min-width: 1500px) {
    .partners {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        height: 200px;
        padding: 0 400px;
      }
}

  @media (max-width: 999px) {

    .partners {
        padding-top: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 600px;
        gap: 60px;
        padding: 0;
    }

    .partners img {
        width: 150px;
      }
    
      #wks {
        width: 220px;
      }

      #splywajnatrening {
        width: 125px;
        transform: translateX(0);
    }

  .social-media {
    display: flex;
    margin: auto;
    width: 80%;
    padding-bottom: 100px;
    gap: 5px;
    }
  .social-media img {
    width: 85%;
  }  
}

@media (max-width: 600px) {
    .footer1 h2 {
        font-size: 2em;

    }
}

.footer2 {
    position: static;
    border-top: solid 1px #01245612;
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    padding: 30px 0 30px;
}

.footer2 img {
    padding: 15px 0;
    width: 70px;
}

#splashes {
    position: absolute;
    width: 550px;
    margin: 0;
    transform: translate(420px, -280px);
    z-index: -10;
}

@media (max-width: 1050px) {
    #splashes {
        width: 250px;
        transform: translate(280px, -120px);
    }
}

@media (max-width: 600px) {
    #splashes {
        width: 300px;
        transform: translate(60px, -125px);
    }
}

.sec-2 {
    background: #012456;
}

.lastbg {
    background-color: #e8f5ff;
}